Scala Compiler2.12.13 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package ant
  Definition Classes
    tools
-  class Scaladoc extends ScalaMatchingTask

  An Ant task to document Scala code.

  An Ant task to document Scala code.

  This task can take the following parameters as attributes:

  - `srcdir` (mandatory),
  - `srcref`,
  - `destdir`,
  - `classpath`,
  - `classpathref`,
  - `sourcepath`,
  - `sourcepathref`,
  - `bootclasspath`,
  - `bootclasspathref`,
  - `extdirs`,
  - `extdirsref`,
  - `encoding`,
  - `doctitle`,
  - `header`,
  - `footer`,
  - `top`,
  - `bottom`,
  - `addparams`,
  - `deprecation`,
  - `docgenerator`,
  - `docrootcontent`,
  - `unchecked`,
  - `nofail`,
  - `skipPackages`.

  It also takes the following parameters as nested elements:

  - `src` (for srcdir),
  - `classpath`,
  - `sourcepath`,
  - `bootclasspath`,
  - `extdirs`.
  Definition Classes
    ant
- Flag
- PermissibleValue

o

scala.tools.ant.Scaladoc

# Flag 

###

#### object Flag extends PermissibleValue

Defines valid values for the `deprecation` and `unchecked` properties.

Source
  Scaladoc.scala

Linear Supertypes
PermissibleValue, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Flag
2. PermissibleValue
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )
9.  def getBooleanValue(value: String, flagName: String): Boolean
10.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  def isPermissible(value: String): Boolean
    Definition Classes
      PermissibleValue
14.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
18.  def toString(): String
    Definition Classes
      AnyRef → Any
19.  val values: collection.immutable.List[String]
    Definition Classes
      Flag → PermissibleValue
20.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
21.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
22.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from PermissibleValue

### Inherited from AnyRef

### Inherited from Any

### Ungrouped